/**
 * Copyright 2012 Miroslav Šulc
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package com.fordfrog.ruian2pgsql.utils;

/**
 * Namespace constants.
 *
 * @author fordfrog
 */
public class Namespaces {

    public static final String ADR_MISTO_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:AdrMistoIntTypy:v1";
    public static final String BASE_TYPY =
            "urn:cz:isvs:ruian:schemas:BaseTypy:v1";
    public static final String CAST_OBCE_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:CastObceIntTypy:v1";
    public static final String COMMON_TYPY =
            "urn:cz:isvs:ruian:schemas:CommonTypy:v1";
    public static final String GML = "http://www.opengis.net/gml/3.2";
    public static final String KAT_UZ_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:KatUzIntTypy:v1";
    public static final String KRAJ_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:KrajIntTypy:v1";
    public static final String MOMC_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:MomcIntTypy:v1";
    public static final String MOP_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:MopIntTypy:v1";
    public static final String OBEC_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:ObecIntTypy:v1";
    public static final String OKRES_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:OkresIntTypy:v1";
    public static final String ORP_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:OrpIntTypy:v1";
    public static final String PARCELA_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:ParcelaIntTypy:v1";
    public static final String POU_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:PouIntTypy:v1";
    public static final String REG_SOU_INTI_TYPY =
            "urn:cz:isvs:ruian:schemas:RegSouIntiTypy:v1";
    public static final String SPRAV_OBV_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:SpravObvIntTypy:v1";
    public static final String STAT_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:StatIntTypy:v1";
    public static final String STAV_OBJ_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:StavObjIntTypy:v1";
    public static final String ULICE_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:UliceIntTypy:v1";
    public static final String VUSC_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:VuscIntTypy:v1";
    public static final String VYMENNY_FORMAT_TYPY =
            "urn:cz:isvs:ruian:schemas:VymennyFormatTypy:v1";
    public static final String XLINK = "http://www.w3.org/1999/xlink";
    public static final String ZSJ_INT_TYPY =
            "urn:cz:isvs:ruian:schemas:ZsjIntTypy:v1";

    private Namespaces() {
    }
}
